/*
 * Copyright (C) 2003 Ranjan Ghosh <ghosh@linux>
 */

#ifndef _REGIMP_H_
#define _REGIMP_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kcmdlineargs.h>
#include <kmainwindow.h>
#include <qlabel.h>

#include <X11/Xlib.h>

/**
 * @short Application Main Window
 * @author Ranjan Ghosh <ghosh@linux>
 * @version 0.1
 */
class regimp : public KMainWindow
{
    Q_OBJECT
public:
    /**
     * Default Constructor
     */
    regimp(KCmdLineArgs* args);

    /**
     * Default Destructor
     */
    virtual ~regimp();
protected:
    void showEvent(QShowEvent *e);
    void hideEvent(QHideEvent *e);
    void focusInEvent(QFocusEvent *e);
private:
    void activateGIMP(bool repos);
    void saveWindowPositions();
    bool minimized;
    QLabel* label1;

    int windowcount;
    int windowx[200];
    int windowy[200];
    Window windowlist[200];

    bool gimprunning;

    Window secondlist[200];
private slots:
    void timerDone();
};

#endif // _REGIMP_H_
